Skip to main content
GET
/
api
/
v1
/
public
/
health
Get Health
curl --request GET \
  --url https://api.tryhikoo.com/api/v1/public/health \
  --header 'Authorization: Bearer <token>'
{
  "global_health": {
    "robots_allows_ai": true,
    "llms_txt_exists": true,
    "sitemap_exists": true,
    "last_health_check_at": "<string>"
  },
  "suggestions": [
    {
      "id": 123,
      "suggestion_type": "<string>",
      "suggestion_category": "<string>",
      "category": "<string>",
      "priority": "<string>",
      "affected_pages_count": 123,
      "example_urls": [
        "<string>"
      ],
      "message": "<string>",
      "description": "<string>",
      "dismissed_at": "<string>"
    }
  ],
  "improvement_count": 123,
  "creation_count": 123,
  "total_pages": 123,
  "pages_with_issues": 123
}

Authorizations

Authorization
string
header
required

Personal API key created in the dashboard (Settings > API keys).

Headers

authorization
string | null

Bearer <api_key>

X-MCP-Secret
string | null

Query Parameters

include_dismissed
boolean
default:false
website_id
integer
required

Target website id

Response

Successful Response

global_health
GlobalHealthResponse · object
required
suggestions
SuggestionResponse · object[]
required
improvement_count
integer
required
creation_count
integer
required
total_pages
integer
required
pages_with_issues
integer
required